Debian Bug report logs - #478983
defoma-hints requires libft-perl which no longer exists

version graph

Package: defoma; Maintainer for defoma is Debian QA Group <packages@qa.debian.org>;

Reported by: nutzteil@web.de

Date: Fri, 2 May 2008 02:03:24 UTC

Severity: serious

Tags: patch

Merged with 285653, 514635, 522246

Found in versions 0.11.8-0.1, defoma/0.11.10-0.2

Fixed in version defoma/0.11.10-1

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#478983; Package defoma. Full text and rfc822 format available.

Acknowledgement sent to nutzteil@web.de:
New Bug report received and forwarded. Copy sent to Angus Lees <gus@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: nutzteil@web.de
To: submit@bugs.debian.org
Subject: defoma recommends libft-perl in lenny
Date: Fri, 2 May 2008 04:01:53 +0200
Package: defoma
Version: 0.11.10-0.2


defoma recommends libft-perl though it is not in testing/lenny.


Thanks
christian




Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#478983; Package defoma. (Thu, 08 Jan 2009 22:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Troy Heber <troyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. (Thu, 08 Jan 2009 22:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 478983@bugs.debian.org (full text, mbox):

From: Troy Heber <troyh@debian.org>
To: control@bugs.debian.org
Cc: 478983@bugs.debian.org
Subject: defoma-hints requires libft-perl which no longer exists
Date: Thu, 8 Jan 2009 15:53:49 -0700
[Message part 1 (text/plain, inline)]
Severity: important
thanks

defoma-hints requires libft-perl, with out it installed if can not
find the required FreeType.pm. 

  troyh@pc:~/proj/fonts/myfonts$ defoma-hints --no-questions truetype myfont.ttf 
  Wait for second...
  defoma-hints Can't locate FreeType.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at (eval 4) line 2.

Looking for a replacement FreeType.pm I found:

libfont-freetype-perl

that provides:  /usr/lib/perl5/Font/FreeType.pm

However, it doesn't look like it provides the same API as libft-perl
and can't be used as a drop in replacement.

Troy
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#478983; Package defoma. (Thu, 22 Jan 2009 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Delirium <delirium@hackish.org>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. (Thu, 22 Jan 2009 01:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 478983@bugs.debian.org (full text, mbox):

From: Delirium <delirium@hackish.org>
To: 478983@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: defoma-hints requires libft-perl which no longer exists
Date: Wed, 21 Jan 2009 17:23:24 -0800
retitle 478983 defoma-hints requires libft-perl which no longer exists
severity 478983 important
merge 478983 285653
thanks

Looks like this is the same as the long-open #285653, "defoma should 
migrate to an alternative to libft-perl". But there's been no active 
maintenance of defoma since 2007, so not clear if/when this'll get fixed.

-Mark




Changed Bug title to `defoma-hints requires libft-perl which no longer exists' from `defoma recommends libft-perl in lenny'. Request was from Delirium <delirium@hackish.org> to control@bugs.debian.org. (Thu, 22 Jan 2009 01:27:04 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Delirium <delirium@hackish.org> to control@bugs.debian.org. (Thu, 22 Jan 2009 01:27:05 GMT) Full text and rfc822 format available.

Merged 285653 478983. Request was from Delirium <delirium@hackish.org> to control@bugs.debian.org. (Thu, 22 Jan 2009 01:27:06 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Sun, 15 Feb 2009 13:18:05 GMT) Full text and rfc822 format available.

Forcibly Merged 285653 478983 522246. Request was from Jan Hauke Rahm <info@jhr-online.de> to control@bugs.debian.org. (Tue, 07 Jul 2009 10:39:05 GMT) Full text and rfc822 format available.

Forcibly Merged 285653 478983 514635 522246. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 18 Aug 2009 23:42:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:56:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:57:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.